{
  lib,
  config,
  inputs,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.neovim;
in {
  options.marleyos.programs.neovim.enable = lib.mkEnableOption "neovim";

  config = lib.mkIf cfg.enable {
    # Has to be applied on the OS level to use in HM.
    nixpkgs.overlays = [
      (import ../../../overlays/marleyvim.nix {inherit inputs;})
    ];

    environment.systemPackages = with pkgs; [
      neovim
    ];
  };
}
