{
  config,
  pkgs,
  ...
}: let
  inherit (config.marleycfg) profiles;
in {
  config = {
    home = {
      sessionPath = [
        "${config.home.homeDirectory}/.local/bin"
      ];

      sessionVariables = {
        HACK = "${config.home.homeDirectory}/hackin";
      };

      shellAbbrs = {
        c = "clear";
        e = "${config.home.sessionVariables.EDITOR or "$EDITOR"}";
        v = "${config.home.sessionVariables.EDITOR or "$EDITOR"}";
      };

      packages = [
        config.marleycfg.apps.pinentry
      ];
    };

    marleycfg.apps.pinentry =
      if pkgs.stdenv.isDarwin
      then pkgs.pinentry_mac
      else if profiles.desktop
      then pkgs.pinentry-gtk2
      else pkgs.pinentry-curses;
  };
}
